Bug 1077892 - [abrt] texstudio: timerIdsDestructorFunction(): texstudio killed by SIGABRT
[abrt] texstudio: timerIdsDestructorFunction(): texstudio killed by SIGABRT
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: texstudio (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a678b283bde003aa5dd88470278...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-18 15:25 EDT by Philipp Dreimann
Modified: 2014-11-05 03:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-05 03:36:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (18.52 KB, text/plain)
2014-03-18 15:25 EDT, Philipp Dreimann
no flags Details
File: cgroup (172 bytes, text/plain)
2014-03-18 15:25 EDT, Philipp Dreimann
no flags Details
File: core_backtrace (5.81 KB, text/plain)
2014-03-18 15:25 EDT, Philipp Dreimann
no flags Details
File: dso_list (9.79 KB, text/plain)
2014-03-18 15:25 EDT, Philipp Dreimann
no flags Details
File: environ (1.92 KB, text/plain)
2014-03-18 15:25 EDT, Philipp Dreimann
no flags Details
File: limits (1.29 KB, text/plain)
2014-03-18 15:26 EDT, Philipp Dreimann
no flags Details
File: maps (54.49 KB, text/plain)
2014-03-18 15:26 EDT, Philipp Dreimann
no flags Details
File: open_fds (186 bytes, text/plain)
2014-03-18 15:26 EDT, Philipp Dreimann
no flags Details
File: proc_pid_status (959 bytes, text/plain)
2014-03-18 15:26 EDT, Philipp Dreimann
no flags Details
File: var_log_messages (995 bytes, text/plain)
2014-03-18 15:26 EDT, Philipp Dreimann
no flags Details

  None (edit)
Description Philipp Dreimann 2014-03-18 15:25:45 EDT
Version-Release number of selected component:
texstudio-2.6.6-1.fc20

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 3
cmdline:        texstudio
crash_function: timerIdsDestructorFunction
executable:     /usr/bin/texstudio
kernel:         3.13.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #6 timerIdsDestructorFunction at kernel/qabstracteventdispatcher.cpp:103
 #7 timerIdsDestructorFunction__dest_class__::~timerIdsDestructorFunction__dest_class__ at kernel/qabstracteventdispatcher.cpp:105
 #8 __cxa_finalize at cxa_finalize.c:56
 #9 __do_global_dtors_aux at /lib64/libQtCore.so.4
 #10 ??
 #11 _dl_fini at dl-fini.c:252
Comment 1 Philipp Dreimann 2014-03-18 15:25:50 EDT
Created attachment 876078 [details]
File: backtrace
Comment 2 Philipp Dreimann 2014-03-18 15:25:53 EDT
Created attachment 876079 [details]
File: cgroup
Comment 3 Philipp Dreimann 2014-03-18 15:25:55 EDT
Created attachment 876080 [details]
File: core_backtrace
Comment 4 Philipp Dreimann 2014-03-18 15:25:57 EDT
Created attachment 876081 [details]
File: dso_list
Comment 5 Philipp Dreimann 2014-03-18 15:25:59 EDT
Created attachment 876082 [details]
File: environ
Comment 6 Philipp Dreimann 2014-03-18 15:26:01 EDT
Created attachment 876083 [details]
File: limits
Comment 7 Philipp Dreimann 2014-03-18 15:26:03 EDT
Created attachment 876084 [details]
File: maps
Comment 8 Philipp Dreimann 2014-03-18 15:26:06 EDT
Created attachment 876085 [details]
File: open_fds
Comment 9 Philipp Dreimann 2014-03-18 15:26:08 EDT
Created attachment 876087 [details]
File: proc_pid_status
Comment 10 Philipp Dreimann 2014-03-18 15:26:10 EDT
Created attachment 876088 [details]
File: var_log_messages
Comment 11 hannes 2014-03-22 15:05:26 EDT
I will report this crash upstream, in the meantime you could try the new version 
https://admin.fedoraproject.org/updates/texstudio-2.7.0-1.fc20
Comment 12 hannes 2014-03-22 15:07:47 EDT
Filed upstream bug:
https://sourceforge.net/p/texstudio/bugs/939/
Comment 13 hannes 2014-03-22 16:41:49 EDT
Could you please add some information, what exactly led to that crash?

Note You need to log in before you can comment on or make changes to this bug.